#
# spec file for package devilspie2
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           devilspie2
Version:        0.44
Release:        1.7
Summary:        A window matching utility
License:        GPL-3.0-or-later
URL:            https://www.nongnu.org/devilspie2/
Source0:        http://download.savannah.nongnu.org/releases/devilspie2/devilspie2-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(lua5.3)

%description
Devilspie 2 is based on the excellent program Devil's Pie by Ross Burton, and
takes a folder as in-data, and checks that folder for LUA scripts. These
scripts are run each time a window is opened, and the rules in them are applied
on the window.

Unfortunately the rules of the original Devil's Pie are not supported.

%lang_package

%prep
%autosetup

%build
%make_build CC="cc %{optflags}"

%install
%make_install PREFIX=%{_usr}
install -D -p -m 644 %{name}.1 \
  %{buildroot}/%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files
%license COPYING
%doc AUTHORS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Tue Jun 20 2023 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.43:
  * Default to Lua 5.3, and permit use of other versions
  * Add support for setting and deleting window properties
  * Add get_process_name(), which returns the name of the process
    owning the window (if possible)
  * Add get_monitor_index() and get_monitor_geometry(); improve
    monitor index/geometry discovery
  * Add get_window_is_decorated() (which uses the Motif window hints)
  * Alias center() as centre()
  * Extend centre() to allow centring on a given monitor and to allow
    horizontal or vertical only
  * Extend set_window_position() to allow positioning on a given
    monitor and control which corner is measured from.
    (Behaviour with two parameters is unchanged.)
  * Quote the option hyphens in the man page (preventing replacement)
  * Various const & compiler warning (gcc -Wextra) fix-ups
  * Support for UTF-8 strings in window properties
  * Allow replacements for pkg-config at compile time
* Fri Feb 12 2021 Martin Pluskal <mpluskal@suse.com>
- Requires lua-5.1 as its only one supported now
* Fri Jan 18 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise specfile using spec-cleaner
  * Mark license as such
* Fri Oct  6 2017 mpluskal@suse.com
- Update to version 0.43:
  * No changelog provided by upstream
- Update project url
* Thu Jan 26 2017 mpluskal@suse.com
- Update to version 0.42:
  * Support window focus / blur events
  * Add example for Awesome window manager
  * Updated French, Italian and Swedish translations
- Split lang subpackage
* Wed Sep  7 2016 yfjiang@suse.com
- Change license to GPL-3.0+
* Fri May 20 2016 mpluskal@suse.com
- Update to version 0.41:
  * Set a correct version number
* Fri May  6 2016 mpluskal@suse.com
- Set group for main package
* Thu Mar 31 2016 mpluskal@suse.com
- Update to 0.40
  * Add callback for geometry change
  * Add error string for one or two indata expected
  * Make devilspie2_get_viewport_start return both x and y
    coordinates
  * Add alternative functionality to set_viewport Now you can set
    the coordinates to the window if you use two integers as indata
  * New Italian translation, updated Dutch, Japanese and Swedish
    translations
  * Build flags hardening fixes
  * Allow reading of XA_WINDOW properties
* Fri Feb 19 2016 mpluskal@suse.com
- Drop _service and use url instead
- Build with optflags
- Cleanup spec file with spec-cleaner
- Add gpg signature
* Mon Nov  9 2015 aspiers@suse.com
- Update to 0.39
  Thu Dec 26 2013 larchunix <larchunix at gmail dot com> - 0.31-1
- Upstream update.
  Sun Aug 25 2013 larchunix <larchunix at gmail dot com> - 0.30-1
- Upstream update.
  Sun May 19 2013 larchunix <larchunix at gmail dot com> - 0.29-1
- Upstream update.
  Wed Mar 13 2013 larchunix <larchunix at gmail dot com> - 0.28-1
- Initial RPM release.
